<?php
/*
 * Plugin Name: Callback Free
 * Description: Плагин делает очень хорошо
 * Author: Linkodium
 * Author URI: https://linkodium.com
 * Version: 2.0.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

add_action('wp_footer', 'lkdm_callback_free', 0);
function lkdm_callback_free() {
    if (get_option('lkdm_callback_enabled') == false || get_option('lkdm_callback_dataKey') === null) {
        return;
    }

    echo '<script type="text/javascript" src="https://cp.callback-free.com/api/js/form-builder.js" data-key="'.get_option('lkdm_callback_dataKey').'"></script>';
}


register_activation_hook(__FILE__, 'lkdm_callback_install');
function lkdm_callback_install() {
    if (get_option('lkdm_callback_enabled') === false) {
        add_option('lkdm_callback_enabled', 0);
    }

    if (get_option('lkdm_callback_dataKey') === false) {
        add_option('lkdm_callback_dataKey', NULL);
    }
}

add_action( 'admin_menu', 'lkdm_callback_add_admin_menu' );
function lkdm_callback_add_admin_menu() {
    add_menu_page('Конфигурация виджета Callback Free', 'Callback Free', 'manage_options', __FILE__, 'lkdm_callback_free_config');
}

function lkdm_callback_free_config() {
    $dataKey = get_option('lkdm_callback_dataKey');
    $enabled = get_option('lkdm_callback_enabled');
    $url = admin_url( 'admin.php' );
    $checked = $enabled ? 'checked="checked"' : '';
    $html = <<<HTML
<div class="wrap">
    <h1>Настройки Callback Free</h1>
    <form method="post" action="$url">
        <table class="form-table">
            <tr>
                <th scope="row"><label for="dataKey">API-ключ</label></th>
                <td><input id="dataKey" name="dataKey" value="$dataKey" type="text"/></td>
            </tr>
            <tr>
                <th scope="row">Статус</th>
                <td><label for="enabled"><input type="hidden" name="enabled" value="0"><input id="enabled" value="1" data-index="1" data-val="1" name="enabled" $checked type="checkbox"/>Включить</label></td>
            </tr>
        </table>
        <input type="hidden" name="action" value="lkdmcallbackfree12112" />
        <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Сохранить изменения"></p>
    </form>
</div>
HTML;
echo $html;
}

add_action( 'admin_action_lkdmcallbackfree12112', 'lkdm_save_settings' );
function lkdm_save_settings()
{
    $enabled = isset($_POST['enabled']) ? $_POST['enabled'] : null;
    $dataKey = isset($_POST['dataKey']) && !empty($_POST['dataKey']) ? $_POST['dataKey'] : null;

    if ($enabled !== null) {
        update_option('lkdm_callback_enabled', $enabled);
    }

    if ($dataKey !== null) {
        update_option('lkdm_callback_dataKey', $dataKey);
    }
    wp_redirect( $_SERVER['HTTP_REFERER'] );
    exit();
}
